#java web#在java web项目运行中,抛出了下面的异常,怎么解决啊
HTTP Status 500 - An exception occurred processing JSP page /Admin/adminUser.jsp at line 38
type Exception report

message An exception occurred processing JSP page /Admin/adminUser.jsp at line 38

description The server encountered an internal error that prevented it from fulfilling this request.

exception

org.apache.jasper.JasperException: An exception occurred processing JSP page /Admin/adminUser.jsp at line 38

35:       </tr>
36:       <tr>
37:         <td height="30" align="center">     
38:             <display:table name="adminList" id="row" pagesize="15" export="true" class="displaytag" requestURI="/Admin/admin.do?method=browseAdmin" >
39:                 <display:column property="adminName" title="${label1}" sortable="true" headerClass="sortable" style="text-align:center;"/>
40:                 <display:column property="loginName" title="${label2}" sortable="true" headerClass="sortable" style="text-align:center;"/>
41:                 <display:column property="adminType" title="${label3}" sortable="true" headerClass="sortable" style="text-align:center;"/>


Stacktrace:
    org.apache.jasper.servlet.JspServletWrapper.handleJspException(JspServletWrapper.java:584)
    org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:466)
    org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:385)
    org.apache.jasper.servlet.JspServlet.service(JspServlet.java:329)
    javax.servlet.http.HttpServlet.service(HttpServlet.java:729)
    org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)
    org.apache.struts.action.RequestProcessor.doForward(RequestProcessor.java:1085)
    org.apache.struts.action.RequestProcessor.processForwardConfig(RequestProcessor.java:398)
    org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:241)
    org.apache.struts.action.ActionServlet.process(ActionServlet.java:1196)
    org.apache.struts.action.ActionServlet.doGet(ActionServlet.java:414)
    javax.servlet.http.HttpServlet.service(HttpServlet.java:622)
    javax.servlet.http.HttpServlet.service(HttpServlet.java:729)
    com.filter.CharacterEncodingFilter.doFilter(CharacterEncodingFilter.java:32)
    org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)
root cause

javax.servlet.ServletException: java.lang.ExceptionInInitializerError
    org.apache.jasper.runtime.PageContextImpl.doHandlePageException(PageContextImpl.java:909)
    org.apache.jasper.runtime.PageContextImpl.handlePageException(PageContextImpl.java:838)
    org.apache.jsp.Admin.adminUser_jsp._jspService(adminUser_jsp.java:301)
    org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)
    javax.servlet.http.HttpServlet.service(HttpServlet.java:729)
    org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:443)
    org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:385)
    org.apache.jasper.servlet.JspServlet.service(JspServlet.java:329)
    javax.servlet.http.HttpServlet.service(HttpServlet.java:729)
    org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)
    org.apache.struts.action.RequestProcessor.doForward(RequestProcessor.java:1085)
    org.apache.struts.action.RequestProcessor.processForwardConfig(RequestProcessor.java:398)
    org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:241)
    org.apache.struts.action.ActionServlet.process(ActionServlet.java:1196)
    org.apache.struts.action.ActionServlet.doGet(ActionServlet.java:414)
    javax.servlet.http.HttpServlet.service(HttpServlet.java:622)
    javax.servlet.http.HttpServlet.service(HttpServlet.java:729)
    com.filter.CharacterEncodingFilter.doFilter(CharacterEncodingFilter.java:32)
    org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)
root cause

java.lang.ExceptionInInitializerError
    org.apache.commons.lang.builder.ToStringStyle$MultiLineToStringStyle.<init>(ToStringStyle.java:2119)
    org.apache.commons.lang.builder.ToStringStyle$MultiLineToStringStyle.<init>(ToStringStyle.java:2116)
    org.apache.commons.lang.builder.ToStringStyle.<clinit>(ToStringStyle.java:78)
    org.apache.commons.lang.builder.ToStringBuilder.<clinit>(ToStringBuilder.java:97)
    org.apache.commons.lang.ArrayUtils.toString(ArrayUtils.java:171)
    org.apache.commons.lang.ArrayUtils.toString(ArrayUtils.java:152)
    org.displaytag.export.ExportViewFactory.<init>(ExportViewFactory.java:61)
    org.displaytag.export.ExportViewFactory.getInstance(ExportViewFactory.java:79)
    org.displaytag.tags.TableTag.doStartTag(TableTag.java:753)
    org.apache.jsp.Admin.adminUser_jsp._jspService(adminUser_jsp.java:224)
    org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)
    javax.servlet.http.HttpServlet.service(HttpServlet.java:729)
    org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:443)
    org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:385)
    org.apache.jasper.servlet.JspServlet.service(JspServlet.java:329)
    javax.servlet.http.HttpServlet.service(HttpServlet.java:729)
    org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)
    org.apache.struts.action.RequestProcessor.doForward(RequestProcessor.java:1085)
    org.apache.struts.action.RequestProcessor.processForwardConfig(RequestProcessor.java:398)
    org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:241)
    org.apache.struts.action.ActionServlet.process(ActionServlet.java:1196)
    org.apache.struts.action.ActionServlet.doGet(ActionServlet.java:414)
    javax.servlet.http.HttpServlet.service(HttpServlet.java:622)
    javax.servlet.http.HttpServlet.service(HttpServlet.java:729)
    com.filter.CharacterEncodingFilter.doFilter(CharacterEncodingFilter.java:32)
    org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)
root cause

java.lang.NumberFormatException: multiple points
    java.base/jdk.internal.math.FloatingDecimal.readJavaFormatString(FloatingDecimal.java:1914)
    java.base/jdk.internal.math.FloatingDecimal.parseFloat(FloatingDecimal.java:122)
    java.base/java.lang.Float.parseFloat(Float.java:455)
    org.apache.commons.lang.SystemUtils.getJavaVersionAsFloat(SystemUtils.java:1117)
    org.apache.commons.lang.SystemUtils.<clinit>(SystemUtils.java:817)
    org.apache.commons.lang.builder.ToStringStyle$MultiLineToStringStyle.<init>(ToStringStyle.java:2119)
    org.apache.commons.lang.builder.ToStringStyle$MultiLineToStringStyle.<init>(ToStringStyle.java:2116)
    org.apache.commons.lang.builder.ToStringStyle.<clinit>(ToStringStyle.java:78)
    org.apache.commons.lang.builder.ToStringBuilder.<clinit>(ToStringBuilder.java:97)
    org.apache.commons.lang.ArrayUtils.toString(ArrayUtils.java:171)
    org.apache.commons.lang.ArrayUtils.toString(ArrayUtils.java:152)
    org.displaytag.export.ExportViewFactory.<init>(ExportViewFactory.java:61)
    org.displaytag.export.ExportViewFactory.getInstance(ExportViewFactory.java:79)
    org.displaytag.tags.TableTag.doStartTag(TableTag.java:753)
    org.apache.jsp.Admin.adminUser_jsp._jspService(adminUser_jsp.java:224)
    org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)
    javax.servlet.http.HttpServlet.service(HttpServlet.java:729)
    org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:443)
    org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:385)
    org.apache.jasper.servlet.JspServlet.service(JspServlet.java:329)
    javax.servlet.http.HttpServlet.service(HttpServlet.java:729)
    org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)
    org.apache.struts.action.RequestProcessor.doForward(RequestProcessor.java:1085)
    org.apache.struts.action.RequestProcessor.processForwardConfig(RequestProcessor.java:398)
    org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:241)
    org.apache.struts.action.ActionServlet.process(ActionServlet.java:1196)
    org.apache.struts.action.ActionServlet.doGet(ActionServlet.java:414)
    javax.servlet.http.HttpServlet.service(HttpServlet.java:622)
    javax.servlet.http.HttpServlet.service(HttpServlet.java:729)
    com.filter.CharacterEncodingFilter.doFilter(CharacterEncodingFilter.java:32)
    org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)
note The full stack trace of the root cause is available in the Apache Tomcat/8.5.9 logs.

Apache Tomcat/8.5.9
0

1个回答

/Admin/adminUser.jsp at line 38 这个页面38行,requestURI="/Admin/admin.do?method=browseAdmin" >你看看你的admin.do这个方法是不是报错了。先调试,try{}catch捕获异常

0
weixin_44221157
这个名字应该不会重复吧 好的,我去看看,感谢
7 个月之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
java中异常抛出后代码还会继续执行吗
第一种:抛出异常不捕获nnpublic class Exception_test {npublic static void main(String[] args) throws ArithmeticException{n    int t=9,m=0;n  //  try {n        for(int i=0;i&amp;lt;8;i++) {n            m=t/(i-4);n    ...
静态方法及异常处理
include_once 如果没有对应文件,只是发出错误警告而后面的代码正确执行nrequire_once 如果没有对应文件,发出错误提示,且程序终止并退出rninclude() 、require()语句包含并运行指定文件。这两结构在包含文件上完全一样,唯一的区别是对于错误的处理。rnrequire()语句在遇到包含文件不存在,或是出错的时候,就停止即行,并报错。include()则继续即行。
java抛出异常后面的代码是否能执行?
今天在项目中遇到了一个问题,就是在java中抛出异常后,后面的代码是否能继续执?rn然后就写了几个Test案例测试了一下:rn1.Test1rnrnTest1的结果:rnrnrnrnrn由Test1的结果可以知道:throw new RuntimeException("发生异常1")语句后面的代码都没有执行(包括return语句);rn2.Test2rnrnrnTest2 的结果:rnrnrn由T
java抛出异常后 代码继续运行问题探究
java抛出异常后 代码继续运行问题探究rn1、package com.baofoo.admin.test;nnimport lombok.extern.slf4j.Slf4j;nimport org.junit.Test;nn/**n * Created by BF100 on 2018/4/12.n */n@Slf4jnpublic class TestByCaoxNew {n @Tes
Java异常处理-2-JVM异常处理方式和try catch处理异常
       前面我们大概了解了什么是异常和为什么要处理异常。这篇我们先通过了解JVM是如何默认处理异常,然后我们是如何主动去捕获和处理异常的。1.JVM处理异常的方式      在Java中,Java虚拟机(JVM)是如何处理异常的呢?,在执行Main函数的时候,如果运行过程中遇到异常问题,有两种处理方式:1)自己将该问题处理,然后继续运行 2)自己没有针对该问题处理方式,只有交给调用Main的...
Java 异常:抛出异常
throw关键字nn nn1.throw用于抛出具体异常类的对象,一般用于方法体中。nn nn2.什么时候使用:当所写的代码因不满足某些条件致使程序无法运行时可以借助throw抛出一个异常对象提醒程序员。nn nn nn nn nn3.当b为0时不满足下面输出语的执行条件,所以使用throw关键字抛出运行时异常,用于提醒方法调用者nn nn4.throw关键字一般用在方法体中,也可以用在代码块中,...
java中异常的抛出:throw throws
Java中的异常抛出
Java初学之抛异常
有这样一道题:nn下面关于try、catch和finally语句块的组合使用,正确的是 n(A)try {…} n(B)try {…} finally {…} n(C)try {…} catch {…} finally {…} n(D)try {…} catch {…} catch {…} n答案:BCDn我们通过这个题,来详细的了解一下Java中抛异常:nnn任何Java代
java异常
一、什么是异常n1)如果JVM检测出不可能执行的操作,就会出现运行时错误。java中运行时错误将作为异常抛出。n2)异常就是一个从异常类创建的对象,表示阻止正常进行程序执行的错误或者情况nnn二、异常处理的概念n1)异常是从方法抛出的。方法的调用者可以调用以及处理该异常n2)当异常被抛出时,正常的执行流程就被中断。抛出异常是将异常从一个地方传到另一个地方n3)一个异常可能是通过tr
Java动态代理的异常处理问题
今天在使用Java动态代理时出现了一个很棘手的问题,实现类里抛出了一个自定义异常,但外面捕获不到。虽然使用printStack可以输出调试信息,但通过getMessage获取不到提示,因为项目需求是捕捉到同一种自定义异常的不同异常情况,通过getMessage获取异常提示反馈给用户,但因为使用了动态代理所以出现了异常捕获不到的情况。具体原因是因为我们通过动态代理最终捕获到的异常时经过加工了的,也就是
finally 中抛出异常处理
在finally 不要return rnmain:System.out.println(testExp()); public static String testExp() {n try {n int i = 0;n int resutl = i / 0;n return "suc";n } ca
Java之异常处理与工具类
①   Error(错误)nnError(错误)n n一般指比较严重的问题,不做针对性处理,无法挽救;n n           OutOfMemoryError  内存溢出n nn②   Exception (异常)n n       Exception(异常)n n              checked Exception(受检异常)
手工抛出异常的方法与自定义异常
1.raise语句抛出异常nn2.aseert语句nn3.自定义异常nnndef testRaise():n for i in range(5):n if i==2:n raise NameError #手工抛出异常n #print('hello')n print(i)n print('end.......')ntestRaise()nnn注意:手工抛出的异常如果不捕获,同样会中断程...
Java中已经被try,catch的异常再其上一层中如何继续被try,catch
比如Dao层有一条 insert 语句, 在该层已经try,catch了,现在我故意将sql写错,n在Service层 try,catch时,走到try就打印出异常了,然后不会进catch,现在我想n让程序进Service层的catch该如何处理?nnService层的代码nn故意将ID字段写成OD字段n String sql = "INSERT INTO user_tbl (OD,
java 网络编程异常
在运行java网络程序出现的异常,怎么理解啊,谢谢
日常小结-java何时抛出异常
通常来说编译时异常不应抛出,而是自己解决。 n而运行时异常,可以往上抛出,当然也可以自己解决。 n编译时异常只有在一种情况下才会抛出,就是将其作为返回值的时候,比如一个常见的例子,在进行数据删除的操作的时候,如果你未找到删除项,同时又不可以改变函数的标签。可用返回一个编译时异常来强制上一级处理这个问题。异常的另一种用法,是将编译时异常转换为运行时异常,后抛出。因为运行时异常可用不予处理。但编译时异常
java 捕获异常还是抛出异常
今天在看hadoop源码时,想想自己最近在做的那个系统,发现很多异常处理的方式不对,还是按照传统的异常处理方式(即:采用返回值来标识程序出现的异常情况)。而hadoop中很多方法的声明是有异常抛出的,而我的系统中的很多方法的声明都没有抛出异常。只是判断了异常情况,并输出了错误提示,但是并没有抛出异常。nnorg.apache.hadoop.hdfs.protocol包下的Block类的readFi...
一个递归抛出异常的java程序
/*n * TestException.javan * 2017年12月6日 下午2:37:47n * Copyright 2017 Fosun Financial. All Rights Reserved.n * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.n *n *
java类static初始化代码块中抛出未预期的异常,导致该类无法被正常加载
    最近在项目中发现一个比较有意思的异常情况,特此记录一下。    某个类在static初始化代码块中启动了一个线程,用于监控该类的运行情况并打印日志,代码示意如下。 public class Test {n n static {n new Thread(new Runnable(){}).start();n }n ...// other coden}在项目运行过程中,...
Java手动直接抛出异常
int  i=2;rnif(i==2){rn throw new RuntimeException(e);  //直接手动抛出异常rnrn}
Java 抛出异常(编译异常与运行时异常)以及ava.io.File包下的File类
一、编译与运行时异常nnnn1.编译异常:系统会强制你去处理(try{}catch{}n2.运行时异常--RuntimeException:na.抛出运行时异常,在方法的声明上,就可以不用throws来识别(区别编译时异常)nb.可以不用在运行时对异常进行处理n例题npublic class Demo01 {npublic static void main(String[] args) throw
java 异常抛不抛出的影响
对于java中的异常问题,都知道需要try/catch操作,然而有的时候,还需要throws操作,try/catch操作可能会影响到程序的运行。npublic class Test {n public static void main(String[] args) {n add();n join();n }n private static void add() {
_091_Java_在catch抛出异常的同时finally块中也抛出异常的情况
npublic class TestException_2 {n public static void main(String[] args) throws Exception{n try {n throw new MyException(&quot;异常1&quot;);n } catch (MyException e) {n throw e;n } finally {n throw new Ar...
Java异常处理中try{}catch抛出异常,后面代码还会继续执行么?
这张图片上面显示的代码运行之后将会输出什么?我们可以发现在procedure()函数结束之后函数后面的内容就不运行了,而主函数里面的程序还是会继续运行。反过来再测试如果先发生主函数里面的异常那么Procedure()函数的异常还会抛出么?n很明显我们可以看到数组下标越界的异常不再抛出了,这说明main()函数里面/0之后的程序都将会被跳过去。n综上所述,try{}catch语句在发现抛出异常后
JAVA业务系统异常抛出的总结
rnJAVA业务系统异常抛出的总结rnJAVA 做web开发的过程中,什么时候该抛出异常,什么时候不该抛出异常,我想大家都有自己的想法和意见,下面是我的总结,欢迎大家批评指正。rn rn第一种场景:rn如果你的系统需要展现一个列表,并且列表中包含了统计数据列。rn如下图所示:rnnn网站IDrn网站名称rnURLrn月展现PVrnnn123rn服装rn......rn500万rnnn其中:rn网站...
Java多线程25:线程中出现异常的处理
实例代码如下:npackage unit7;nnpublic class Demo11_Run {n n public static void main(String[] args) {n Demo11_MyThread t = new Demo11_MyThread();n t.start();n }n}nnclass Demo11_MyThread extends Thread {n n ...
多线程中子线程抛出异常后,如何表现
进程与多线程n多线程中一个线程抛出异常(不捕获);主线程及其他子线程如何表现n结论:nnnnn语言n主线程n子线程nnnnnC++n挂死n挂死nnnJavan继续运行n继续运行nnnC++ coden#include &amp;amp;amp;lt;iostream&amp;amp;amp;gt;n#include &amp;amp;amp;lt;thread&amp;amp;amp;gt;n#include &amp;amp;amp;lt;chrono&amp;amp;amp;gt;nnvoid thre
如何在serviceImpl抛出异常
private void checkRelationTaskList(List taskList) {n if (CollectionUtils.isNotEmpty(taskList)) {n List errorList = taskList.stream()n .map(deliveryTaskDO -> String.for
java中的抛出异常或者错误记录
出现这种错误的原因主要为一下两点:1.此处代码在return语句之后2.此处代码在抛出异常之后总来说就是此处代码不可能执行到2.抛出异常:Parameter index out of range (1 &amp;gt; number of parameters, which is 0)例如:String sql = &quot;insert into t_courler(UserId,CourlerTitle,Co...
java常见的运行时异常 Runtime Exception
ArithmeticException - 算术运算中,被0除或模除rnrnArrayIndexOutOfBoundsException - 数组越界访问rnrnArrayStoreException - 数据存储异常,写数组操作时,对象或数据类型不兼容rnrnClassCastException - 类型转换异常rnrnIllegalArgumentException - 方法的参数无效rnrn...
JAVA 手动抛出异常
nnthrow new NullPointerException();
Java中的异常处理与return
Java中的异常可抛可捕抓,就是throw或try...catch.如果是throw,那么在抛完异常后,后面的代码不会再执行.如果是try...catch,程序还会往下执行.大多数情况下,我们都是使用try...catch捕获异常.在catch块内进行异常的业务处理.再使用throw把异常抛出....
Java 静态构造块异常抛出处理方法
static{n try{n private Object obj = new Object();n } catch(Exception e) {n log.error(e);n }n}nnn静态构造块中的异常不要抛出,否则会造成类初始化异常!nn
Java中抛出的内存异常总结
Java中抛出的内存异常总结rn根据上述的总结:可以整理出来,JVM在运行的时候大致会分为五个区域。方法区、堆区、本地方法栈、虚拟机栈、程序计数器。rn其中程序计数器不会报出OutOfMemoryError错误,其他的都有可能会报出这个错误。rnrnStackOverflowError:如果线程请求的栈深度大于虚拟机所允许的深度就会报这样的错误。rnOutOfMemoryError:如果虚拟机栈可
java如何抛出异常
1.什么时候抛出异常?nn如果你觉得某些”问题”解决不了了,那么你就可以抛出异常了。比如,你在写一个service,其中在写到某段代码处,你发现可能会产生问题,那么就请抛出异常吧,相信我,你此时抛出异常将是一个最佳时机nn2.抛出怎么样的异常?nn 异常的抛出不仅仅是throw掉或者catch掉,而也应该进行异常的业务逻辑的处理所以本身也可以看做if--else的这样的一种分支进行处理掉nn传统...
Java中为什么有的方法必须抛出异常,有的不用
在写一个代码时候,出现Unhandled exception type IOException的编译错误,即未处理的异常类型IOException,于是上网搜索,是因为没有没有抛出异常所致。rn首先,Java异常有Runtime(运行时异常)和Checked(编译时异常),其中,所有RuntimeException类及其子类的实例被称为Runtime异常,不是RuntimeException类及其
Java中关于try{}catch{}抛出异常的一个例子
之前对try{rn}catch{rn}没有什么了解知识知道有这么个抛出异常的方法,今天在写一个简单的判断月份的代码时,突然想到了如果我输入的是字符串怎么办,于是就想到了用try抛出异常,rn在写的时候出现个问题,就是我定义的Scanner对象必须是在try里面定义它的类型,因为如果在外边的话他就是一个成员变量了,而且catch语句里的异常时针对try里面的来说的rn所以应该在try里面定义我所要输
返回Null还是抛出异常?
观点:如果返回null是一个正常行为,则返回null,如果是一个错误,则抛出Exception。观点:1、如果返回null是一个正常行为,则返回null。但在命名时最好给用户以提示,例如GetUserOrNull(string userName, string password)这样的函数名。2、如果是错误,则抛出Exception。...
JAVA捕获异常小结
上一节的小结:rn1、已检查异常一定要处理,即除了RunTimeExceoption之外的异常子类。rn2、一种消极的方法是一直向上抛出异常,不在函数本阶段处理,throws给主函数给JVM。rn3、一种积极的做法是用try-catch捕获异常。rn4、多态可以 用在捕获上面。catch的时候要把子类放前面,父类放后面,不然就会有编译错误。rn5、对于java 来说, try 块中的代码是有可能不执行的代码...
spring管理实务回滚条件:抛出运行时异常的时候
spring管理实务回滚条件:抛出运行时异常的时候,所以要注意try-catch的使用,如果使用不当,将一些运行时异常给处理了,spring将不会回滚,可能会造成数据库中数据的混乱
文章热词 机器学习教程 Objective-C培训 交互设计视频教程 颜色模型 设计制作学习
相关热词 mysql关联查询两次本表 native底部 react extjs glyph 图标 java怎么学习异常 你们怎么学习java的啊